Subject: bug#59214: [PATCH] Alternate rust-analyzer command added

From: Pankaj Jangid <[email-masked]>
Date: Thu, 17 Nov 2022 16:02:52 +0530

João Távora <[email-masked]> writes:

> So rustup is just an optional way of installing rust-analyzer? If so I
> think we shouldn't
> tweak this.

It may be optional, but it is *the* official method advertised in the
docs. Other methods are categorised as, as expected, "Other Installation
Methods".

> (tangent:  rustup being optional is intriguing and interesting. If I wanted
> to learn Rust, just Rust, should I start with a rustup-less setup?)

I would recommend `rustup'. Rust is a fast moving language and other
installation methods are not officially maintained. And distribution
providers may have a delay of few days before pushing latest release.